/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Oswald:wght@200..700&display=swap');

:root {

	--font-heading: "Oswald", sans-serif;
	--font-sub-heading: "Nunito", sans-serif;;
	--font-body: "Open Sans", sans-serif;
	--dark-grey:#181818;
	--purple: purple;
	--pink: rgb(243, 59, 179);
	--buttonover: rgb(154, 31, 142);
	--white: #fff;
}

.block{z-index: 1}


/*  General content */
.general-content-wrap{padding:30px}
.general-content{max-width:var(--inner-width); margin: 0 auto}
.general-content h1{text-align: center; font-size:5rem; color: var(--pink); margin: 0; padding: 0}
.general-block-white{background-color: #fff; color: #000}
.general-block-pink{background-color: var(--pink); color: #fff}
.general-block-pink h1{color: #000 !important}
.general-block-purple{background-color: var(--purple); color: #fff}
.general-block-grey{background-color:var(--grey)}




/* Home page splash */
.home-page-splash{aspect-ratio:16/9; background-color: #000; color: #fff; padding: 190px 30px 15px}
.home-page-splash h1{font-size:6rem; text-align: left; color: #fff; text-shadow:2px 2px 0 rgb(0,0,0,0.5)}
.home-page-splash .background-photo{position: absolute; top:0; left:0; width:100%; height:100%}
.home-page-splash .background-photo img{object-fit: cover; object-position: center; width:100%; height: 100%}
.home-page-splash .splash-inner{display: flex; justify-content: flex-start; align-items: flex-start; max-width: var(--masthead-width); margin: 0 auto}
.home-page-splash .splash-inner > div{width:100%}
.home-page-splash .splash-inner > div:first-of-type{max-width: 500px}
.splash-nav-wrap{position: absolute; top:15px; left:0; width:100%; z-index: 3}
.splash-nav{max-width:var(--masthead-width); margin: 0 auto; grid-gap: 30px; display: flex; justify-content: center; align-items: center}
.splash-nav > div{width:100%}
.splash-nav > div:first-of-type{max-width: 300px}

@media (max-width:1600px) {
	.splash-nav{margin: 0 30px}
}





/* 2 cols photo and text */
.photo-text-block{display:flex; justify-content: space-between; align-items: stretch; max-width: var(--content-width); margin: 30px auto}
.photo-text-block > div{width:100%; transition:all 1s ease-in-out}
.photo-text-block .photo-side{object-fit: cover; width:100%}
.photo-text-block .button{margin-top: 30px; display: inline-block}
.photo-text-block.block-order-left{flex-direction:row-reverse}
.photo-text-block .text-side{max-width: 50%; display: flex; justify-content: center; align-items: center; background: var(--pink); padding: 0; text-align: left; font-size:2rem; font-family: var(--font-heading)}
.photo-text-block .text-side > div{padding: 30px 60px}
.photo-text-block .text-side > div p{font-size:3rem; line-height: 1}
.photo-text-block .photo-side{overflow: hidden}
.photo-text-block .photo-side img{object-fit: cover; object-position: center; width:100%; height: 100%; display: block}
.photo-text-block.block-order-left .text-side.start{transform:translate(200px, 0); opacity: 0}
.photo-text-block.block-order-left .photo-side.start{transform:translate(-200px, 0); opacity: 0}
.photo-text-block.block-order-right .text-side.start{transform:translate(-200px, 0); opacity: 0}
.photo-text-block.block-order-right .photo-side.start{transform:translate(200px, 0); opacity: 0}


/* Team */
.team-flex{display: flex; justify-content: center; align-items: stretch; flex-wrap: wrap; column-gap:30px; grid-row-gap: 60px; position: relative; max-width: var(--content-width); margin: 60px auto}
.team-flex > div{width:100%; max-width:300px; position: relative}
.team-details{background:#fff; color: #000; padding: 15px; width:80%; position: absolute; right:0; bottom:0; z-index: 2; transform:translate(15px, 15px)}
.team-details h2, .team-details h3{margin:0; font-size:1.4rem; font-family:var(--font-heading)}
.team-photo{aspect-ratio:1/1; z-index: 1}
.team-photo img{object-fit: cover; width:100%; height:100%; object-position: center; z-index: 1}


/* Large heading */
.large-heading-block{text-align: center; padding: 30px}
.large-heading-block h2{color: var(--pink); font-size:4rem}


/* Photo Splash */
.photo-splash-block{aspect-ratio:16/9; background-size: cover; background-position: center; transition:all 1s ease-in-out; position: relative; margin: 0 auto}
.photo-splash-block h1{font-size: 6rem; text-align: center; font-weight:900; padding: 60px 30px 30px; transition: all 2s ease-in-out; z-index: 1}
.photo-splash-block .start h1{opacity: 0; transform:translate(0, 100px)}
.photo-splash-block .confetti{aspect-ratio:16/6; background-image:url("../img/confetti.avif"); background-repeat: repeat; background-attachment: fixed; position: absolute; top:0; left:0; width:100%; z-index: 2}
@media (max-width:600px) {
	.photo-splash-block{aspect-ratio:1/1}
	.photo-splash-block h1{font-size: 3rem; padding-top: 30px}
}

/* Events list */
.events-list-block{background-image: url("../img/confetti.avif"); background-repeat: repeat; padding:60px 30px}
.events-list-flex{display: flex; max-width:var(--content-width); margin: 0 auto; flex-wrap: wrap; justify-content: center; align-items: stretch; column-gap: 15px; grid-row-gap: 40px}
.events-list-flex > div{width:100%; max-width: 490px; background: var(--pink); display: flex; justify-content: space-between; align-items: stretch; aspect-ratio:1/1}
.events-list-flex > div > div{width:100%; max-width: 50%}
.events-list-flex > div > div:first-of-type{padding:10px; color: #fff}
.events-list-flex > div > div:last-of-type{background-color: #000}
.events-list-flex > div > div:last-of-type img{object-fit: cover; object-position: center; width:100%; height: 100%}
.events-list-flex h2{letter-spacing: 3px; margin-bottom: 60px}
@media (max-width:600px) {
	.events-list-flex > div{flex-direction: column}
	.events-list-flex > div > div{max-width: 100%}
	.events-list-flex > div > div:last-of-type{aspect-ratio:3/4}
}




